| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/os-floating-ips | Lists floating IP addresses associated with the tenant or account. |
Normal response codes: 200
This table shows the URI parameters for the list floating ips request:
| Name | Type | Description |
|---|---|---|
| String | The unique identifier of the tenant or account. |
This operation does not require a request body.
Example 3.191. List floating IPs: JSON response
{
"floating_ips": [
{
"fixed_ip": null,
"id": 1,
"instance_id": null,
"ip": "10.10.10.1",
"pool": "nova"
},
{
"fixed_ip": null,
"id": 2,
"instance_id": null,
"ip": "10.10.10.2",
"pool": "nova"
}
]
}Example 3.192. List floating IPs: XML response
<?xml version='1.0' encoding='UTF-8'?> <floating_ips> <floating_ip instance_id="None" ip="10.10.10.1" fixed_ip="None" id="1" pool="nova"/> <floating_ip instance_id="None" ip="10.10.10.2" fixed_ip="None" id="2" pool="nova"/> </floating_ips>
This operation does not return a response body.

